Subject: Re: [PATCH 0/2] gnu: netcdf-cxx4: Move netcdf to the propagated-inputs
From: Andreas Enge <[email-masked]>
To: Luca Cirrottola <[email-masked]>
Cc: [email-masked]
Date: Mon, 7 Apr 2025 14:47:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Am Mon, Apr 07, 2025 at 01:55:06PM +0200 schrieb Luca Cirrottola:
> Here it is less ambiguous, netcdf-cxx4 cannot live without netcdf and there
> is no other implementation that could be used at runtime.

yes, I agree.

> For the future, should I interpret a propagated input as "something that is
> needed runtime, and should not be replaced by another implementation"?

I think mpi is really special in this respect, I am not aware of other
software in the same category. And "needed at runtime" is not enough.
As written before, there is usually no problem with libraries for which
we set the rpath to an absolute path in the store. Well, then usually
the dependency sneaks in through include files.

Closing this issue.

Andreas